/*
 * File:   MAX30205.c
 * Author: KELM
 *
 * Created on December 11, 2021, 3:04 AM
 */


#include "MAX30205.h"

void config_sensor(void){
    I2C1_Write1ByteRegister(MAX30205_ADDR,MAX30205_CONFIGURATION,0x00);
    //I2C1_Write2ByteRegister(MAX30205_ADDR,MAX30205_THYST,0x00);
    //I2C1_Write2ByteRegister(MAX30205_ADDR,MAX30205_TOS,0x00);
}


float getTemperature(void){
        int16_t temp = I2C1_Read2ByteRegister(MAX30205_ADDR, MAX30205_TEMPERATURE);
        float temperature = temp  * 0.00390625;
        return  temperature;
}
